1.1

1.1

get /v1/apis

Description

API 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : test-api
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "apis": [
        {
            "account_id": "27bb070b564349f8a31cc60734cc36a5",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Description",
            "dns_record_status": "Active",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "test-api",
            "status": "Active"
        }
    ],
    "count": 20
}